This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 713135 - MLS - cgconfigparser cannot search on /cgroup/ dirs
MLS - cgconfigparser cannot search on /cgroup/ dirs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: kernel (Show other bugs)
6.1
All Linux
urgent Severity high
: rc
: ---
Assigned To: Frantisek Hrbata
Red Hat Kernel QE team
: ZStream
Depends On: 700538
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-14 08:50 EDT by RHEL Product and Program Management
Modified: 2013-01-10 20:51 EST (History)
13 users (show)

See Also:
Fixed In Version: kernel-2.6.32-131.5.1.el6
Doc Type: Bug Fix
Doc Text:
When using certain SELinux policies, such as the MLS policy, it was not possible to properly mount the cgroupfs file system due to the way security checks were applied to the new cgroupfs inodes during the mount operation. With this update, the security checks applied during the mount operation have been changed so that they always succeed, and the cgroupfs file system can now be successfully mounted and used with the MLS SELinux policy. This issue did not affect systems which used the default targeted policy.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-12 17:13:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description RHEL Product and Program Management 2011-06-14 08:50:27 EDT
This bug has been copied from bug #700538 and has been proposed
to be backported to 6.1 z-stream (EUS).
Comment 7 Martin Prpic 2011-07-12 07:36:08 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
When using certain SELinux policies, such as the MLS policy, it was not possible to properly mount the cgroupfs file system due to the way security checks were applied to the new cgroupfs inodes during the mount operation. With this update, the security checks applied during the mount operation have been changed so that they always succeed, and the cgroupfs file system can now be successfully mounted and used with the MLS SELinux policy. This issue did not affect systems which used the default targeted policy.
Comment 8 errata-xmlrpc 2011-07-12 17:13:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0928.html

Note You need to log in before you can comment on or make changes to this bug.